#ifndef _DFFILEDUMP_H_
#define _DFFILEDUMP_H_

// Datentypen
#include "typedef.h"
// Fehlerzustaende
#include "ErrorState.h"
// Flash-Speicher
#include "DataFlash.h"


class CDFFileDump
{
public:
	CDFFileDump();
	virtual ~CDFFileDump();

public:
	void Reset();
	inline INT32 GetLastErrorState() { return m_errorState; };
	INT32 Load(INT8 *fileName);
	INT32 Save(INT8 *fileName);
	UINT32 m_baseAddress;
	CDataFlash m_flash;


// helper
protected:
	VOID UINT8ToHex(UINT8 val, INT8 *data);
	UINT8 HexToUINT8(INT8 *data);

	VOID UINT16ToHex(UINT16 val, INT8 *data);
	UINT16 HexToUINT16(INT8 *data);

	UINT32 GetAddress(INT8 *data);

public:
	VOID UINT32ToHex(UINT32 val, INT8 *data);
	UINT32 HexToUINT32(INT8 *data);


protected:
	INT32 m_errorState;

};

#endif