void CComThread::ExeBefehl(unsigned char *Buf, int Cnt)
{
	unsigned long DatAdd;
	unsigned char Dat[A_MAX_DATEN],AddMsb;
	int		LBefehl,Befehl,DatCnt,i,Ok = FALSE;
	unsigned char List[L_MAX_ZEILE_LEN];
	int Offset,Ret,LDatCnt=0;
	static int Hdl=-1;

	// Paket Parsen und Befehl (Read/Write), Datenadresse und Daten extrahieren 
	if (!pCom->ParsPaket(Buf,Cnt,Befehl,DatAdd,Dat,DatCnt)) return;
	// Paket-Daten verarbeiten
	AddMsb = (unsigned char)(DatAdd>>24); // MSB der Adresse 
	if (AddMsb == MBAC_KONFIGBEDIEN) {
		// Setup-Daten
		if ((Befehl&0x0F) == B_S4_SCHREIBEN) {
			// Setupdaten empfangen
			DatAdd &= 0xFFFFFF;
			if (DatAdd+DatCnt > MAX_KONFIG) return; // Setup Speicherberlauf abfangen
			for (i=0;i<DatCnt && i<A_MAX_DATEN;i++) { // Setupdaten kopieren
				((CSimBedienDoc*)pDoc)->Setup[DatAdd+i]=Dat[i];
			}
			pCom->WriteAck(Buf,Cnt);	// Schreibbefehl besttigen
			SetupCom = TRUE;
		}
	}else if (AddMsb == MBAC_BEDIEN) {
		// Bedienung anhalten/Vortsetzen
		if ((Befehl&0x0F) == B_S4_SCHREIBEN) {
			if (DatCnt > 0) ((CSimBedienDoc*)pDoc)->BedienStop = (int)(Dat[0]);
			pCom->WriteAck(Buf,Cnt);	// Befehl besttigen
			if (SetupCom) {	// wurden Setup-Daten geladen?
				SetupCom = FALSE;
				((CSimBedienDoc*)pDoc)->SetupGeladen = TRUE;
			}
		}
	}else if (AddMsb == MBAC_LISTEN) {
		if ((Befehl&0x0F) == B_S4_SCHREIBEN) {
			Ret = FALSE;
			if (1) {	// einfache Listen
				DatAdd &= 0xFFFFFF;
				if (DatAdd+DatCnt > MAX_LISTEN) return; // Setup Speicherberlauf abfangen
				for (i=0;i<DatCnt && i<A_MAX_DATEN;i++) { // Setupdaten kopieren
					((CSimBedienDoc*)pDoc)->Flash[DatAdd+i+MEM_LISTEN]=Dat[i];
				}
			}else{/*
				LBefehl = (unsigned char)((DatAdd&0xFF0000)>>16); // Befehlsbyte
				Offset = DatAdd&0xFFFF;
				// Daten in Buffer schreiben
				for (i=0;i<DatCnt;i++) {
					if (Offset+i > L_MAX_ZEILE_LEN) {
						TRACE("Listen: Fehler Offset\n");
					}else{
						List[i+Offset] = Dat[i];
					}
				}
				if (Offset+DatCnt > LDatCnt) LDatCnt = Offset+DatCnt;
				// Befehl auswerten
				switch(LBefehl) {
				case LB_NEW_START|LB_DATEN_OK:
					Hdl = LstNeuStart(&List[2],List[0],List[1]);
					LDatCnt = 0;
					break;
				case LB_DATEN|LB_DATEN_OK:
					if (Hdl != -1) {
						Ret = LstNeuDaten(Hdl,List,LDatCnt);
					}
					break;
				case LB_NEW_END:
					if (Hdl != -1) {
						Ret = LstNeuEnd(Hdl);
					}
					Hdl = -1;
					break;
				}*/
			}
			pCom->WriteAck(Buf,Cnt);	// Befehl besttigen
		}
	}
}
